Page MenuHomePhabricator

Popup Guide for Beta Features
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/49

Narrative

As a user, I want to know what the 'Beta' label in my personal menu means.

Acceptance Criteria

Show a pop-up guide that explains what Beta Features is, the first time you load a page that contains the 'Beta' label in your personal menu.

It would show a couple linesexplaining what this 'Beta' label does and point to it, with a small triangularpointer right below the 'Beta' link(between 'Preferences' and 'Watchlist'), as so:

Introducing Beta Features!

Beta Features lets you test and give feedback about new features before everyone else gets to see them.

Actions: Maybe later Try Now

  • 'Try Now' would link to the Beta Features page
  • 'Maybe later' would simply close the popup guide

See mockup below for look and feel guidelines.

See more feature requirements here:

https://www.mediawiki.org/wiki/Beta_Features#Tasks

Related Bugs

Related Stories

#2 Beta features

See also:

https://www.mediawiki.org/wiki/Beta_Features#Tasks

Event Timeline

MingleTerminator raised the priority of this task from to Normal.
MingleTerminator added a project: Multimedia.
In mingle on 2013-10-23 at 06:24:09, @MarkTraceur wrote:

https://gerrit.wikimedia.org/r/91314

MingleTerminator closed this task as Resolved.Dec 8 2014, 3:59 PM
Whatamidoing-WMF reopened this task as Stalled.Mar 11 2015, 11:35 PM
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.

I don't know why this was closed. The feature doesn't exist, and it is desirable.

Se4598 added a subscriber: Se4598.Mar 12 2015, 1:01 AM

The code (module "ext.betaFeatures.popup") is there, but it isn't loaded for me for an unknown reason. Option "betafeatures-popup-disable" is unset for me.

For testing purpose I loaded that module by hand and I find the result also not very appealing. (see screenshot)

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:27 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:27 PM
Johan added a subscriber: Johan.EditedAug 18 2016, 4:37 AM

How do you trigger it? New accounts only? Wikis can choose to turn it on?

(I haven't seen anything, even when logging in to my old pre-SUL finalization account I used on wikis where my username was taken and going to Meta.)

How do you trigger it? New accounts only? Wikis can choose to turn it on?
(I haven't seen anything, even when logging in to my old pre-SUL finalization account I used on wikis where my username was taken and going to Meta.)

We decided on reflection to kill it: T143173.